template = testcase
title = Popup ABPKit Version
description = Check that a filter using the $popup filter option is working as expected.


<section class="testcase-panel">
  {{ heading("Script based popup (tab)") }}
  <p>Test that a filter using the $popup filter option works on a script based popup.</p>
  <div class="testcase-area">
    <a href="#script-based-popup-tab" class="testcase-trigger" onclick="scriptPopupTab();">Trigger script based popup (tab)</a>
  </div>
  <h3>Steps</h3>
  <ul class="testcase-steps">
    <li>Add filter #1.</li>
    <li>Refresh page.</li>
    <li>Click the link above.</li>
    <li>The popup/tab opened should be closed.</li>
  </ul>
  <h3>Filters</h3>
  <ul class="testcase-filters">
    <li><pre>||{{ site_url|strip_proto }}/testfiles/popup/script-tab.html^$popup</pre></li>
  </ul>
</section>

<section class="testcase-panel">
  {{ heading("Script based popup (window)") }}
  <p>Test that a filter using the $popup filter option works on a script based popup.</p>
  <div class="testcase-area">
    <a href="#script-based-popup-window" class="testcase-trigger" onclick="scriptPopupWindow();">Trigger script based popup (window)</a>
  </div>
  <h3>Steps</h3>
  <ul class="testcase-steps">
    <li>Add filter #1.</li>
    <li>Refresh page.</li>
    <li>Click the link above.</li>
    <li>The popup/window opened should be closed.</li>
  </ul>
  <h3>Filters</h3>
  <ul class="testcase-filters">
    <li><pre>||{{ site_url|strip_proto }}/testfiles/popup/script-window.html^$popup</pre></li>
  </ul>
</section>


<script>
  "use strict";

  function scriptPopupTab()
  {
    window.open("/testfiles/popup/script-tab.html");
  }

  function scriptPopupWindow()
  {
    window.open("/testfiles/popup/script-window.html", "some-popup", "resizable");
  }
</script>
